%global module_name cangjie

Name:             python3-%{module_name}
Summary:          Python bindings to libcangjie
Version:          1.1
Release:          %mkrel 7
Group:            Development/Python
License:          LGPLv3+
URL:              http://cangjians.github.io/projects/pycangjie
Source0:          http://cangjians.github.io/downloads/pycangjie/%{module_name}-%{version}.tar.xz
Patch0:	          0001-build-Explicitly-set-the-include-path.patch

BuildRequires:    python3-cython
BuildRequires:    python-cython
BuildRequires:    python3-devel
BuildRequires:    libcangjie-devel >= 1.1

%description
Python bindings to libcangjie, the library implementing Cangjie and Quick
input methods.


%prep
%setup -q -n %{module_name}-%{version}
%autopatch -p1


%build
autoreconf -i
%configure2_5x
%make


%install
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f '{}' \;


%check
make check


%files
%doc AUTHORS COPYING README.md docs/*.md
%{python3_sitearch}/%{module_name}



%changelog
* Tue Feb 16 2016 umeabot <umeabot> 1.1-7.mga6
+ Revision: 962187
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.1-6.mga6
+ Revision: 889201
- patch 0: fix build
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 748166
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-4.mga5
+ Revision: 728014
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 688450
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.1-2.mga5
+ Revision: 629541
- Rebuild for new Python

* Fri Mar 07 2014 joequant <joequant> 1.1-1.mga5
+ Revision: 600847
- insert cython dependency
- add group information
- imported package python3-cangjie

